AMQP-DELETE-QUEUE(1)

NAME
amqp-delete-queue - Delete a queue from an AMQP server

SYNOPSIS

amqp-delete-queue [OPTION...] {-q queue name}

DESCRIPTION

amqp-delete-queue deletes a queue from an AMQP server, and exits after printing to standard output the number of messages that were in the queue at the time of its deletion.

OPTIONS

-q, --queue=queue name
    The name of the queue to delete.

EXIT STATUS

If the queue was successfully deleted, the exit status is 0. If an error occurs, the exit status is 1.

EXAMPLES

Delete the queue “myqueue” at a moment when it has 123 messages waiting on it:

        $ amqp-delete-queue -q myqueue
        123

SEE ALSO

librabbitmq-tools(7) describes connection-related options common to all the RabbitMQ C Client tools.

AUTHOR

The RabbitMQ Team <<info@rabbitmq.com>>